---
apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  annotations:
    build.appstudio.openshift.io/repo: '{{ source_url }}/-/tree/{{ revision }}'
    build.appstudio.redhat.com/commit_sha: '{{ revision }}'
    build.appstudio.redhat.com/target_branch: '{{ target_branch }}'
    pipelinesascode.tekton.dev/max-keep-runs: "3"
    pipelinesascode.tekton.dev/on-cel-expression: event == "push" && target_branch == "{{ target_branch }}"
  creationTimestamp: null
  labels:
    appstudio.openshift.io/application: rhel-10-workload-embedded
    appstudio.openshift.io/component: rhel-10-tokyocabinet
    pipelines.appstudio.openshift.io/type: build
  name: rhel-10-tokyocabinet-on-push
  namespace: rhel-sst-cs-database-tenant
spec:
  params:
    - name: application
      value: rhel-10-workload-embedded
    - name: package-name
      value: tokyocabinet
    - name: git-url
      value: "{{ source_url }}"
    - name: revision
      value: "{{ revision }}"
    - name: target-branch
      value: "{{ target_branch }}"
  pipelineRef:
    resolver: git
    params:
      - name: url
        value: "https://gitlab.cee.redhat.com/rhel-on-konflux/rpmbuild-pipeline.git"
      - name: revision
        value: main
      - name: pathInRepo
        value: pipeline/build-rhel-package.yaml
  workspaces:
    - name: git-auth
      secret:
        secretName: '{{ git_auth_secret }}'
